/****************************************************************************/
/****************************************************************************/
/** \file inplug.h
    \brief Header for Input Plugins

*/
/****************************************************************************/

#include "plugin.h"
#include "packet.h"

#ifndef INPLUG_H
#define INPLUG_H

int pluginRegister(INPLUG **, ANPLUG **, PROTOPLUG **, OUTPLUG **,
		   int(*DecodeCallback)(PACKET*,PROTO));
int pluginInit(int ct, char **inits);
int pluginCleanup(int reason);

int pluginGetPacket(int iSrc, char *sSrc, PACKET **);

#endif /* INPLUG_H */
