/****************************************************************************/
/****************************************************************************/
/** \file types.h
    \brief Header for commonly used types

*/
/****************************************************************************/


#ifndef TYPES_H
#define TYPES_H

#define BYTE  unsigned char
#define PROTO long
#define BOOL  char
#define ULONG unsigned long

/* debug levels */
#define DEBUG_DO_ENTRY_SOME     1
#define DEBUG_DO_POLICYDUMP     1
#define DEBUG_DO_ENTRY_ALL      2
#define DEBUG_DO_MALLOC         4
#define DEBUG_DO_RETURN         5
#define DEBUG_DO_LOOP           6
#define DEBUG_DO_INTERNALS      7
#define DEBUG_DO_EVERYTHING     9

#endif
