/****************************************************************************/
/****************************************************************************/
/** \file anplug.h
    \brief Header for analysis plugins

*/
/****************************************************************************/

#include "plugin.h"
#include "packet.h"

#ifndef ANPLUG_H
#define ANPLUG_H

int pluginRegister(INPLUG **, ANPLUG **, PROTOPLUG **, OUTPLUG **,
		   int(*DecodeCallback)(PACKET*,PROTO));
int pluginInit(int ct, char **inits);
int pluginCleanup(int reason);

char *pluginAnalyse(PACKET*, char *anType, char *args);

#endif /* ANPLUG_H */
