/****************************************************************************/
/****************************************************************************/
/** \file outplug.h
    \brief Header for Output Plugins

*/
/****************************************************************************/

#include "plugin.h"
#include "packet.h"

#ifndef OUTPLUG_H
#define OUTPLUG_H

int pluginRegister(INPLUG **, ANPLUG **, PROTOPLUG **, OUTPLUG **,
		   int(*DecodeCallback)(PACKET*,PROTO));
int pluginInit(int ct, char **inits);
int pluginCleanup(int reason);

int pluginOutput(PACKET *, char *args);

#endif /* OUTPLUG_H */

