/****************************************************************************/
/****************************************************************************/
/** \file policy-dump.h
    \brief Dump the policy to a specific FILE*

*/
/****************************************************************************/

#include "policy.h"
#include <stdio.h>

void dumpOutput(FILE *fd, POLICY_OUTPUT *o, unsigned int tabs, char freeme);

void dumpProto(FILE *fd, POLICY_PROTO *p, unsigned int tabs, char freeme);

void dumpTest(FILE *fd, POLICY_TEST *t, unsigned int tabs, char freeme);

void dumpResult(FILE *fd, POLICY_RESULT *r, unsigned int tabs, char freeme);

void dumpInit(FILE *fd, POLICY_INITS *i, unsigned int tabs, char freeme);

void dumpInput(FILE *fd, POLICY_INPUT *i, unsigned int tabs, char freeme);

void dumpPolicy(FILE *fd, POLICY_HEAD *h, char freeme);
